---
name: Meritxell 'Meri' Gil Galindo
placeholder:
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/sales/sales-operations/">Sales
  Operations Analyst</a>
reports_to: jcaine
picture: Meri_gil_galindo.jpg
twitter:
gitlab: mgilgalindo
departments:
- Field Operations
- Sales
story: Meri is Spanish but she is based in Switzerland. In her spare time she loves
  learning new languages and cooking.
job_title: Senior Manager, Sales Strategy
division: Sales
public: true

